program test_where
 implicit none
 real :: tomb(10), masiktomb(10)

! Ez pl. a Magnus-Tetens formulanal lehet
!  hasznos, amikor a kepletben az allandok
!  attol fuggenek, hogy a homerseklet elojele
!  pozitiv vagy negativ. 

 tomb=13.

 where (tomb .gt. 2.0)
  masiktomb=tomb-2.
 elsewhere
  masiktomb=tomb
 endwhere

 write(*,*) 'Ha ezt kiirja, akkor nem volt elvileg problema a futasnal.'

end program test_where
!/Karol
